package com.akadia.ejbintro.agent;

import java.util.Date;
import java.rmi.RemoteException;

/*****************************************************************************
 * <PRE>
 * Akadia EJB introduction
 *
 * The remote interface of CompanyAgent
 *
 * (c) Akadia AG 2002
 *
 * </PRE>
 * @author      $Author$
 * @version     $Id$
 * <PRE>
 * $Log$
 * </PRE>
 ****************************************************************************/

public interface CompanyAgent extends javax.ejb.EJBObject
{
  public String empToXml( int empNo )
    throws RemoteException;

  public int getNofEmps( int deptNo )
    throws RemoteException;

  public void saveEmp(
      int empNo
    , String eName
    , Date hireDate
    , int deptNo
  )
    throws RemoteException;

  public void deleteDept(
      int deptNo
  )
    throws RemoteException;

}